--[[---------------------------------------------------------------------------\
| ||\\    //||       /|¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯\ |
| || \\  // ||  (o_ / |                  SUPPLEMENTARY FILE                  | |
| ||  \\//  ||  //\/  |                         ----                         | |
| ||   \/   ||  V_/_  |                   ALTERED TEXTURES                   | |
| ||        ||        |‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗‗/ |
\---------------------------------------------------------------------------]]--

local snowTexturePack = ...

--[[---------------------------- TEXTURE OVERRIDING ----------------------------]]--

--Terrain
snowTexturePack:overrideTexture("grass04.png", "textures/grass04.png", "REPLACE")
snowTexturePack:overrideTexture("GrassAlpine_far.png", "textures/GrassAlpine_far.png", "REPLACE")
snowTexturePack:overrideTexture("ground.jpg", "textures/ground.jpg", "REPLACE")
snowTexturePack:overrideTexture("sand.jpg", "textures/sand.jpg", "REPLACE")
snowTexturePack:overrideTexture("sandV2.png", "textures/sandV2.png", "REPLACE")
snowTexturePack:overrideTexture("UlrickCartoonMedievalPack01_512_Soil2.png", "textures/UlrickCartoonMedievalPack01_512_Soil2.png", "REPLACE")
snowTexturePack:overrideTexture("Color_Grass_and_Herbs.tif", "textures/Color_Grass_and_Herbs.png", "REPLACE")

--Roofs
snowTexturePack:overrideTexture("BuildingRoofTriangle.png", "textures/roofs/whiteBuildingRoofTriangle.png", "REPLACE")
snowTexturePack:overrideTexture("StrawRoof.tif", "textures/roofs/whiteStrawRoof.png", "REPLACE")
snowTexturePack:overrideTexture("StrawRoofBranches.tif", "textures/roofs/whiteStrawRoofBranches.png", "REPLACE")
snowTexturePack:overrideTexture("RoofBlue.tif", "textures/roofs/whiteRoofBlue.png", "REPLACE")
snowTexturePack:overrideTexture("roofgreen.tif", "textures/roofs/whiteroofgreen.png", "REPLACE")
snowTexturePack:overrideTexture("roofgreen2.tif", "textures/roofs/whiteroofgreen2.png", "REPLACE")
snowTexturePack:overrideTexture("RoofRed.tif", "textures/roofs/whiteRoofRed.png", "REPLACE")
snowTexturePack:overrideTexture("RoofRed_Corner.tif", "textures/roofs/whiteRoofRed_Corner.png", "REPLACE")
snowTexturePack:overrideTexture("RoofRedWine.tif", "textures/roofs/whiteRoofRedWine.png", "REPLACE")
snowTexturePack:overrideTexture("RoofRedWine2.tif", "textures/roofs/whiteRoofRedWine2.png", "REPLACE")
snowTexturePack:overrideTexture("RoofTextureRed.tif", "textures/roofs/whiteRoofTextureRed.png", "REPLACE")
snowTexturePack:overrideTexture("RoofWoodTiles_01.tif", "textures/roofs/whiteRoofWoodTiles_01.png", "REPLACE")
snowTexturePack:overrideTexture("RoofWoodTilesBrown.tif", "textures/roofs/whiteRoofWoodTilesBrown.png", "REPLACE")
snowTexturePack:overrideTexture("RoofWoodTilesCarbon.tif", "textures/roofs/whiteRoofWoodTilesCarbon.png", "REPLACE")
snowTexturePack:overrideTexture("roofyellow.tif", "textures/roofs/whiteroofyellow.png", "REPLACE")
snowTexturePack:overrideTexture("WoodenRooftop.tif", "textures/roofs/whiteWoodenRooftop.png", "REPLACE")
snowTexturePack:overrideTexture("WoodenRoofTop3.tif", "textures/roofs/whiteWoodenRoofTop3.png", "REPLACE")
snowTexturePack:overrideTexture("WoodRooftop.tif", "textures/roofs/whiteWoodRooftop.png", "REPLACE")
snowTexturePack:overrideTexture("WoodRooftop_Yellow.tif", "textures/roofs/whiteWoodRooftop_Yellow.png", "REPLACE")
snowTexturePack:overrideTexture("WoodRooftop2.tif", "textures/roofs/whiteWoodRooftop2.png", "REPLACE")
--snowTexturePack:overrideTexture("WoodRooftop2_Orange.tif", "textures/roofs/whiteWoodRooftop2_Orange.png", "REPLACE")
snowTexturePack:overrideTexture("Orangewoodtile.tif", "textures/roofs/whiteOrangewoodtile.png", "REPLACE")
snowTexturePack:overrideTexture("NewRoofGreen.tif", "textures/roofs/whiteNewRoofGreen.png", "REPLACE")
snowTexturePack:overrideTexture("monasteryRoofTilesPurple.tif", "textures/roofs/whitemonasteryRoofTilesPurple.png", "REPLACE")
snowTexturePack:overrideTexture("MonasteryRoofTilesBlue.tif", "textures/roofs/whiteMonasteryRoofTilesBlue.png", "REPLACE")
snowTexturePack:overrideTexture("MonasteryRoofTiles.tif", "textures/roofs/whiteMonasteryRoofTiles.png", "REPLACE")
snowTexturePack:overrideTexture("ClayTile_golden.tif", "textures/roofs/whiteClayTile_golden.png", "REPLACE")
snowTexturePack:overrideTexture("ChurchRoofGrey2.tif", "textures/roofs/whiteChurchRoofGrey2.png", "REPLACE")
snowTexturePack:overrideTexture("ChurchRoofGrey.tif", "textures/roofs/whiteChurchRoofGrey.png", "REPLACE")
snowTexturePack:overrideTexture("ChurchRoofBrown.tif", "textures/roofs/whiteChurchRoofBrown.png", "REPLACE")
snowTexturePack:overrideTexture("ChurchRoofBlue.png", "textures/roofs/whiteChurchRoofBlue.png", "REPLACE")
snowTexturePack:overrideTexture("ChurchRoofRed.png", "textures/roofs/whiteChurchRoofRed.png", "REPLACE")
snowTexturePack:overrideTexture("ChurchRoofWoodTiles.png", "textures/roofs/whiteChurchRoofWoodTiles.png", "REPLACE")
snowTexturePack:overrideTexture("CharcolRoof.tif", "textures/roofs/whiteCharcolRoof.png", "REPLACE")
snowTexturePack:overrideTexture("CeramicRoofTiles.tif", "textures/roofs/whiteCeramicRoofTiles.png", "REPLACE")
snowTexturePack:overrideTexture("BuildingRoofTopBlue.tif", "textures/roofs/whiteBuildingRoofTopBlue.png", "REPLACE")
snowTexturePack:overrideTexture("Branch_rooftop.tif", "textures/roofs/whiteBranch_rooftop.png", "REPLACE")

--[[----------------------------- TEXTURE BLENDING -----------------------------]]--

--Trees
snowTexturePack:overrideTexture("SycamoreColor.tif", "textures/SycamoreColor.tif", "ALPHA_BLEND")
snowTexturePack:overrideTexture("Peuplier.tif", "textures/Peuplier.tif", "ALPHA_BLEND")
snowTexturePack:overrideTexture("Oak.tif", "textures/Oak.tif", "ALPHA_BLEND")
snowTexturePack:overrideTexture("Cypress.tif", "textures/Cypress.tif", "ALPHA_BLEND")
snowTexturePack:overrideTexture("Trees_01.tif", "textures/Trees_01.tif", "ALPHA_BLEND")
snowTexturePack:overrideTexture("Trees_03.tif", "textures/Trees_03.tif", "ALPHA_BLEND")
snowTexturePack:overrideTexture("Terrain/Vegetation/Trees/Pine Tree/tree_LOD1/Textures/Diffuse.png", "textures/tree_LOD1/Textures/Diffuse.png", "ALPHA_BLEND")
snowTexturePack:overrideTexture("Terrain/Vegetation/Trees/Pine Tree/tree_LOD2/Textures/Diffuse.png", "textures/tree_LOD2/Textures/Diffuse.png", "ALPHA_BLEND")
snowTexturePack:overrideTexture("Terrain/Vegetation/Trees/Pine Tree/tree_LOD3/Textures/Diffuse.png", "textures/tree_LOD3/Textures/Diffuse.png", "ALPHA_BLEND")
snowTexturePack:overrideTexture("Terrain/Vegetation/Trees/Pine Tree/tree_LOD4/Textures/Diffuse.png", "textures/tree_LOD4/Textures/Diffuse.png", "ALPHA_BLEND")

--Mineral Nodes
snowTexturePack:overrideTexture("Rocks_Moss.png", "textures/Rocks_Moss.png", "ALPHA_BLEND")
snowTexturePack:overrideTexture("Rocks_Moss_Arch.png", "textures/Rocks_Moss_Arch.png", "ALPHA_BLEND")
